Package org.eigenbase.resgen

# Class CppHeaderGenerator

java.lang.Object
org.eigenbase.resgen.AbstractGenerator
org.eigenbase.resgen.CppGenerator
org.eigenbase.resgen.CppHeaderGenerator

All Implemented Interfaces:
  `Generator`

public class CppHeaderGenerator extends CppGenerator
Generates a C++ header file containing resource definitions.

Since:
  19 September, 2005
Version:
  $Id: //open/util/resgen/src/org/eigenbase/resgen/CppHeaderGenerator.java#3 $
Author:
  jhyde

## Constructor Summary

Constructors
Constructor
Description
`CppHeaderGenerator(File srcFile, File file, String className, String baseClassName, String defaultExceptionClassName)`
Creates a C++ header generator.

## Method Summary

Modifier and Type
Method
Description
`void`
`generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)`
Generates a class containing a line for each resource.

### Methods inherited from class org.eigenbase.resgen.CppGenerator

`generateResource, getArgTypes, getBaseClassName, getClassName`

### Methods inherited from class org.eigenbase.resgen.AbstractGenerator

`generateDoNotModifyHeader, generateGeneratedByBlock, getArgumentList, getFile, getParameterList, getSrcFileForComment, setScmSafeComments, useScmSafeComments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CppHeaderGenerator

public CppHeaderGenerator(File srcFile, File file, String className, String baseClassName, String defaultExceptionClassName)
Creates a C++ header generator.

Parameters:
  `srcFile` -
  `file` -
  `className` -
  `baseClassName` - Name of base class, must not be null, typically
  `defaultExceptionClassName` -

## Method Details

### generateModule

public void generateModule(ResourceGen generator, ResourceDef.ResourceBundle resourceList, PrintWriter pw)
Description copied from interface: `Generator`
Generates a class containing a line for each resource.

Specified by:
  `generateModule` in interface `Generator`
Overrides:
  `generateModule` in class `CppGenerator`